VectorLinux

General Announcements => VL package news and Updates => Topic started by: exeterdad on January 30, 2008, 12:22:17 pm

Title: 080130 gtk-perl-0.7009, perl-XML-Writer-0.603 (VL5.9)
Post by: exeterdad on January 30, 2008, 12:22:17 pm
gtk-perl-0.7009 and perl-XML-Writer-0.603 are packaged for VL5.9

Sources:
http://vectorlinux.osuosl.org/veclinux-5.9/source/testing/libs/gtk-perl/
Quote
gtk-perl: gtk-perl (Perl module for the gtk+ library.)
gtk-perl:
gtk-perl: This package includes Perl extensions for GTK+ (the Gimp ToolKit), a
gtk-perl: library used for creating graphical user interfaces for the X Window
gtk-perl: System. The extensions provided in this package allow you to write
gtk-perl: graphical interfaces using Perl and GTK+.
gtk-perl:
gtk-perl:
gtk-perl: License: LGPL
gtk-perl: Author:  Paolo Molaro <lupus@debian.org>, Kenneth Albanowski
gtk-perl: Website: http://www.cpan.org/modules/by-module/Gtk/

Sources:
http://vectorlinux.osuosl.org/veclinux-5.9/source/testing/libs/xml-writer/
Quote
perl-XML-Writer: perl-XML-Writer (Perl module for writing XML documents.)
perl-XML-Writer:
perl-XML-Writer: XML::Writer is a simple Perl module for writing XML documents: it
perl-XML-Writer: takes care of constructing markup and escaping data correctly, and by
perl-XML-Writer: default, it also performs a significant amount of well-formedness
perl-XML-Writer: checking on the output, to make certain (for example) that start and
perl-XML-Writer: end tags match, that there is exactly one document element, and that
perl-XML-Writer: there are not duplicate attribute names.
perl-XML-Writer: License: GPL
perl-XML-Writer: Author:  Joseph Walton <joe@kafsemo.org>
perl-XML-Writer: Website: http://xml-writer-perl.berlios.de/

Please let us know if there are any problems, or most importantly if these packages work in this thread.
Title: Re: 080130 gtk-perl-0.7009, perl-XML-Writer-0.603 (VL5.9)
Post by: Dweeberkitty on January 30, 2008, 01:10:31 pm
gtk-perl-0.7009 and perl-XML-Writer-0.603 are packaged for VL5.9

Will there be any conflicts between this gtk-perl and my gtk2-perl package? Not sure if there is but just checking... ;)
Title: Re: 080130 gtk-perl-0.7009, perl-XML-Writer-0.603 (VL5.9)
Post by: exeterdad on January 30, 2008, 01:46:27 pm
From the GTK2-Perl FAQ http://live.gnome.org/GTK2-Perl/FrequentlyAskedQuestions
Quote
gtk2-perl provides Perl access to the 2.x series of GTK+. It is completely distinct from gtk-perl, due to the fact that gtk+ (the C library) went through major changes between 1.2 and 2.0. These changes mostly involve the separation of some of the base pieces of GTK+'s type system into libgobject, which is part of glib-2.x (in turn bound to Perl by the Glib module). Now, all Gtk2::Widgets are Glib::Objects.
Title: Re: 080130 gtk-perl-0.7009, perl-XML-Writer-0.603 (VL5.9)
Post by: Dweeberkitty on January 30, 2008, 02:14:24 pm
Okay, just making sure!
Title: Re: 080130 gtk-perl-0.7009, perl-XML-Writer-0.603 (VL5.9)
Post by: overthere on January 30, 2008, 04:12:36 pm
Hi
updated testing, installed ,parser, writer, gtk-perl, acidrip
At terminal:
bootstrap:$ acidrip
Can't locate Gtk2.pm in @INC (@INC contains: /usr/lib/perl5/5.8.8/i486-linux-thread-multi /usr/lib/perl5/5.8.8 /usr/lib/perl5/site_perl/5.8.8/i486-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/site_perl/5.8.8/AcidRip/interface.pm line 1.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/AcidRip/interface.pm line 1.
Compilation failed in require at /usr/lib/perl5/site_perl/5.8.8/AcidRip/acidrip.pm line 7.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/AcidRip/acidrip.pm line 7.
Compilation failed in require at /usr/bin/acidrip line 14.
BEGIN failed--compilation aborted at /usr/bin/acidrip line 14.
vector:/~
bootstrap:$
any thoughts
Title: Re: 080130 gtk-perl-0.7009, perl-XML-Writer-0.603 (VL5.9)
Post by: overthere on January 30, 2008, 04:28:42 pm
Opps..I need to wait for acidrip right..sorry..getting in the way...later
Title: Re: 080130 gtk-perl-0.7009, perl-XML-Writer-0.603 (VL5.9)
Post by: Dweeberkitty on January 30, 2008, 04:49:24 pm
If you are interested in ripping your dvds and such, I have several programs included on the Multimedia Bonus Disc that you may be interested in. It will probably take a while (quite a while) to get the individual packages into the repo. If you don't want to wait, I would suggest downloading the Multimedia Bonus Disc. I'm about ready to release RC2 so stay tuned!
Title: Re: 080130 gtk-perl-0.7009, perl-XML-Writer-0.603 (VL5.9)
Post by: overthere on January 31, 2008, 08:41:43 pm
This is all rather confusing.

You'll need to install:

Quote
gtk-perl-0.7009-i586-1vl59.tlz
perl-XML-Parser-2.34-i586-1vl59
perl-XML-Writer-0.603-i586-1vl59

So I will need to install these if I want the acidrip on the not yet available bonus disk to work?????

not that I want acidrip in particular, I have never used it. just want some clarity